Package com.avaya.clientservices.media

## Class VantageAudioManager

- java.lang.Object
- - com.avaya.clientservices.media.AndroidAudioManager
  - - com.avaya.clientservices.media.VantageAudioManager

-     public class VantageAudioManager
      extends AndroidAudioManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VantageAudioManager​(android.content.Context context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `android.media.AudioDeviceInfo[]` | `getDevices​(int flags)` |
    `void` | `registerAudioDeviceCallback​(android.media.AudioDeviceCallback callback, android.os.Handler handler)` |
    `void` | `unregisterAudioDeviceCallback​(android.media.AudioDeviceCallback callback)` |

    - ### Methods inherited from class com.avaya.clientservices.media.AndroidAudioManager

      `getMode, getParameters, isBluetoothScoAvailableOffCall, isBluetoothScoOn, isSpeakerphoneOn, isWiredHeadsetOn, setBluetoothScoOn, setMode, setParameters, setSpeakerphoneOn, startBluetoothSco, stopBluetoothSco`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VantageAudioManager

          public VantageAudioManager​(android.content.Context context)

  - ### Method Detail

    - #### registerAudioDeviceCallback

          public void registerAudioDeviceCallback​(android.media.AudioDeviceCallback callback,
                                                  android.os.Handler handler)

      Overrides:
        `registerAudioDeviceCallback` in class `AndroidAudioManager`

    - #### unregisterAudioDeviceCallback

          public void unregisterAudioDeviceCallback​(android.media.AudioDeviceCallback callback)

      Overrides:
        `unregisterAudioDeviceCallback` in class `AndroidAudioManager`

    - #### getDevices

          public android.media.AudioDeviceInfo[] getDevices​(int flags)

      Overrides:
        `getDevices` in class `AndroidAudioManager`